%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           glipper
Version:        1.0
Release:        6%{?dist}
Summary:        A simple Clipboardmanager for GNOME

Group:          Applications/Text
# No version specified.
License:        GPL+
URL:            http://sourceforge.net/projects/glipper/
Source0:        http://superb-west.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
BuildRequires: libglade2-devel, desktop-file-utils, gettext, intltool, gnome-doc-utils, libgnome-devel, pygtk2-devel, gnome-python2-devel, gnome-python2-applet


%description
Glipper is a simple Clipboardmanager for the GNOME Desktop Environment

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/glipper.schemas >/dev/null
    killall -HUP gconfd-2 || :
fi


%post
update-desktop-database &> /dev/null || :

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/glipper.schemas > /dev/null
killall -HUP gconfd-2 || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database &> /dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/glipper.schemas > /dev/null
    killall -HUP gconfd-2 || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/gnome/help/%{name}
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libdir}/%{name}
%{_libdir}/bonobo/servers/Glipper.server
%{python_sitelib}/%{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0-5
- Rebuild for Python 2.6

* Mon Jul 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-3
- Autorebuild for GCC 4.3

* Wed Aug 15 2007 Matej Cepl <mcepl@redhat.com> - 1.0-2
- add gnome-python2-applet among BuildRequires

* Tue Aug 14 2007 Damien Durand <splinux@fedoraproject.org> - 1.0-1
- Upgrade to 1.0
- Add pygtk2-devel, gnome-python2-devel in BR
- Fix Gconf shemas
- Fix GTK+ icon cache
- Add python_sitelib
- Remove old desktop file
- add glipper-devel


* Tue Nov 21 2006 Damien Durand <splinux@fedoraproject.org> - 0.95.1-2
- Add libgnome-devel in BR

* Tue Nov 21 2006 Damien Durand <splinux@fedoraproject.org> - 0.95.1-1
- Upgrade to 0.95.1

* Sun Nov 18 2006 Damien Durand <splinux@fedoraproject.org> - 0.95-3
- Add glade2-devel in BR

* Tue Nov 14 2006 Damien Durand <splinux@fedoraproject.org> - 0.95-2
- Add gnome-doc-utils in BR

* Mon Nov 13 2006 Damien Durand <splinux@fedoraproject.org> - 0.95-1
- Update to 0.95 release

* Mon Oct 16 2006 Damien Durand <splinux@fedoraproject.org> - 0.89-5
- Bumped

* Mon Aug 28 2006 Damien Durand <splinux@fedoraproject.org> - 0.89-4
- Bump release

* Fri Jul 28 2006 Damien Durand <splinux@fedoraproject.org> - 0.89-3
- Fix Desktop file

* Fri Jul 7 2006 Damien Durand <splinux@fedoraproject.org> - 0.89-2
- Fix mixed-use-of-spaces-and-tabs in changelog
- Add category Text and delete-original in desktop-file-install
- Add intltool as BR

* Tue Apr 6 2006 Damien Durand <splinux@fedoraproject.org> - 0.89-1
- Initial package
